import React from "react";
import classNames from "classnames";
import SpotlightContainerDecorator from "@enact/spotlight/SpotlightContainerDecorator";

import css from "./TGrid.module.less";

const GridContainer = SpotlightContainerDecorator(
  {
    leaveFor: { left: "", right: "" },
    enterTo: "last-focused",
  },
  "ul"
);

export default function TGrid({ children, type }) {
  return (
    <GridContainer className={classNames(css.gridContainer, type && css[type])}>
      {children}
    </GridContainer>
  );
}
